.je-form-input-label {
  display: inline;
  margin: 3px;
  font-weight: bold;
}

.form-control > input {
  @extend .input;
  @extend .is-small;
}

.je-header {
  font-weight: 600;
}

.je-tab--top {
  border-color: black !important;
}

.je-indented-panel {
  padding: 5px;
  margin: 0;
  margin-top: 5px;
  margin-left: 0px !important;
  border-radius: 3px;
  border-left: 1px solid black !important;
  border: 1px solid black;
  background-color: rgba(255, 255, 255, 0.5);
  // overflow-x: auto;
  // overflow-y: auto;
}

.je-object__container {
  /* margin: 5px; */
  margin-top: 10px;
}

.json-editor-btntype-deletelast,
.json-editor-btntype-deleteall {
  @extend .button;
  @extend .is-small;
}

.je-switcher + div {
  // display: inline-block;
  margin-left: 5px;
}

.je-errmsg {
  background-color: white;
  font-weight: 600;
  max-width: 40ch;
  color: #ff5252;
  padding: 0 5px;
  margin-top: 5px;
}

.je-indented-panel .je-errmsg {
  max-width: 400px;
}

.adaptor-modal {
  background-color: white;
  border: 1px solid black;
  color: black;
  box-shadow: rgba(206, 206, 206, 0.404) 3px 3px;
  position: absolute;
  z-index: 10;
}

.adaptor-textarea {
  min-width: 30ch;
  max-width: 440px;
  min-height: 30px;
  overflow-y: auto;
  box-sizing: border-box;
  word-break: keep-all;
}

.je-object__controls {
  margin: 0px !important;
}

.je-tooltip-icon > .je-infobutton-tooltip {
  z-index: 1000;
  color: black;
  background-color: white;
  border: 1px solid black;
  box-shadow: 2px 2px 0px black;
  border-radius: 0px;
}

.je-infobutton-tooltip {
  position: fixed !important;
}

.je-copy-button {
  border: none;
  color: rgb(91, 91, 91);
  position: absolute;
  transform: translate(-115%, 30%);
  cursor: pointer;
}

.delete {
  margin: 5px 0px 0px 2px;
}

/*Array Stylings >>>*/
.isActionTypeListen [data-schematype="array"] {
  background-color: #f9c48b;
}

.isActionTypeListen [data-schematype="array"] > .je-indented-panel > div > .je-indented-panel:nth-of-type(even) {
  background-color: #f2af6b;
}

.isActionTypeListen [data-schematype="array"] > .je-indented-panel > div > .je-indented-panel:nth-of-type(odd) {
  background-color: #e5842c;
}

.isActionTypeRun [data-schematype="array"] > .je-indented-panel > div > .je-indented-panel:nth-of-type(even) {
  background-color: #63bad4;
}

.isActionTypeRun [data-schematype="array"] > .je-indented-panel > div > .je-indented-panel:nth-of-type(odd) {
  background-color: #008cb2;
}

/*Array Stylings <<<*/

.je-child-editor-holder {
  margin-bottom: 8px;
}

.je-header-button-holder {
  display: inline-block;
  margin-left: 10px;
  font-size: 0.8em;
  vertical-align: middle;
}

.je-table {
  margin-bottom: 5px;
  border-bottom: 1px solid #ccc;
  width: 100%;
}

/* Upload Editor preview image */
.je-upload-preview img {
  float: left;
  margin: 0 0.5rem 0.5rem 0;
  max-width: 100%;
  max-height: 5rem;
}

.je-dropzone {
  position: relative;
  margin: 0.5rem 0;
  border: 2px dashed black;
  width: 100%;
  height: 60px;
  background: teal;
  transition: all 0.5s;
}

.je-dropzone:before {
  position: absolute;
  content: attr(data-text);
  color: rgba(0, 0, 0, 0.6);
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.je-dropzone.valid-dropzone {
  background: green;
}

.je-dropzone.invalid-dropzone {
  background: red;
}
